pfodParser 3.61.0 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | List of all members
pfodDelay Class Reference

`#include <pfodDelay.h>`

## Public Member Functions
| pfodDelay ()
void | start (unsigned long delay)
| Start a delay of this many milliseconds. More...
void | stop ()
| Stop the delay justFinished() will now never return true until after start(),restart() or repeat() called again. More...
void | repeat ()
| repeat() Do same delay again but allow for a possible delay in calling justFinished() More...
void | restart ()
| restart() Start the same delay again starting from now Note: use repeat() when justFinished() returns true, if you want a regular repeating delay More...
void | finish ()
| Force delay to end now. More...
bool | justFinished ()
| Has the delay ended/expired or has finish() been called? justFinished() returns true just once when delay first exceeded or the first time it is called after finish() called. More...
bool | isRunning ()
| Is the delay running, i.e. More...
unsigned long | getStartTime ()
| Returns the last time this delay was started, in mS, by calling start(), repeat() or restart() Returns 0 if it has never been started. More...
unsigned long | remaining ()
| How many mS remaining until delay finishes Returns 0 if finished or stopped. More...
unsigned long | delay ()
| The delay set in start. More...

## Detailed Description

Definition at line 13 of file pfodDelay.h.

## Constructor & Destructor Documentation

## ◆ pfodDelay()

pfodDelay::pfodDelay | ( |  | ) |

## Member Function Documentation

## ◆ delay()

unsigned long pfodDelay::delay | ( |  | ) |

The delay set in start.

## ◆ finish()

void pfodDelay::finish | ( |  | ) |

Force delay to end now.

## ◆ getStartTime()

unsigned long pfodDelay::getStartTime | ( |  | ) |

Returns the last time this delay was started, in mS, by calling start(), repeat() or restart() Returns 0 if it has never been started.

## ◆ isRunning()

bool pfodDelay::isRunning | ( |  | ) |

Is the delay running, i.e.

justFinished() will return true at some time in the future

## ◆ justFinished()

bool pfodDelay::justFinished | ( |  | ) |

Has the delay ended/expired or has finish() been called? justFinished() returns true just once when delay first exceeded or the first time it is called after finish() called.

## ◆ remaining()

unsigned long pfodDelay::remaining | ( |  | ) |

How many mS remaining until delay finishes Returns 0 if finished or stopped.

## ◆ repeat()

void pfodDelay::repeat | ( |  | ) |

repeat() Do same delay again but allow for a possible delay in calling justFinished()

## ◆ restart()

void pfodDelay::restart | ( |  | ) |

restart() Start the same delay again starting from now Note: use repeat() when justFinished() returns true, if you want a regular repeating delay

## ◆ start()

void pfodDelay::start | ( | unsigned long | delay | ) |

Start a delay of this many milliseconds.

Parameters

  delay | in millisconds, 0 means ifFinished() return true on first call

## ◆ stop()

void pfodDelay::stop | ( |  | ) |

Stop the delay justFinished() will now never return true until after start(),restart() or repeat() called again.